Summary: An X Window System falling blocks game.
Name: xtrojka
Version: 1.2.3
Release: 9
Copyright: distributable
Group: Amusements/Games
Source: ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris/xtrojka123.tar.gz
Patch: xtrojka-1.2.3-make.patch
BuildRoot: /var/tmp/%{name}-root

%description
The xtrojka game is an X Window System game of falling blocks, like
Xjewel or Tetris.

%prep
%setup -q -n xtrojka123
%patch -p1

%build
cp XTrojka.uk XTrojka
./resgen
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man6}
mkdir -p $RPM_BUILD_ROOT/var/lib/games

make	TARGET_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
	MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man6 \
	HSFILE=$RPM_BUILD_ROOT/var/lib/games/xtrojka.scores \
	install
##install -m 644 xtrojka.6 $RPM_BUILD_ROOT/usr/X11R6/man/man6/xtrojka.6
##cp /dev/null $RPM_BUILD_ROOT/var/lib/games/xtrojka.scores
chmod 0666 $RPM_BUILD_ROOT/var/lib/games/xtrojka.scores
strip $RPM_BUILD_ROOT/usr/X11R6/bin/xtrojka

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Games/xtrojka.desktop <<EOF
[Desktop Entry]
Name=XTrojka
Type=Application
Exec=xtrojka
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xtrojka
/usr/X11R6/man/man6/xtrojka.*
%config(noreplace) /var/lib/games/xtrojka.scores
%config(missingok) /etc/X11/applnk/Games/xtrojka.desktop

%changelog
* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Thu Feb  2 2000 Bill Nottingham <notting@redhat.com>
- handle gzip'ed man pages

* Sat May  1 1999 Jeff Johnson <jbj@redhat.com>
- fix name of scores file (#2454).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
